<bugID>916237<Summary>Inspector won't connect to non-OOP B2G apps</Summary><Description>STR:

1. Use the App Manager to connect a non-OOP app, like System
2. Go to the Inspector tab
3. It is blank
4. You have the following error in the Browser Console:

this.conn.allocID is not a function

Pool&lt;.manage@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/server/protocol.js:689
exports.InspectorFront&lt;.initialize@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/server/actors/inspector.js:2245
constructor@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/commonjs/sdk/core/heritage.js:145
TabTarget.prototype.inspector@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource:///modules/devtools/framework/target.js:263
InspectorPanel.prototype._getWalker@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource:///modules/devtools/inspector/inspector-panel.js:150
InspectorPanel_open/&lt;@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource:///modules/devtools/inspector/inspector-panel.js:49
resolve@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/commonjs/sdk/core/promise.js:118
then@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/commonjs/sdk/core/promise.js:43
then@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/commonjs/sdk/core/promise.js:153
InspectorPanel_open@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource:///modules/devtools/inspector/inspector-panel.js:48
Tools.inspector.build@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource:///modules/devtools/main.js:113
TBOX_loadTool/onLoad@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource:///modules/devtools/framework/toolbox.js:518</Description></bugID>